import * as z from 'zod';
import { PaymentMethodSchema } from '../../enums/PaymentMethod.schema';
// prettier-ignore
export const ServiceLineTransactionModelSchema = z.object({
    id: z.number().int(),
    paymentId: z.number().int(),
    serviceLineId: z.number().int(),
    transactionId: z.string().nullable(),
    paidAmount: z.number(),
    adjustedAmount: z.number(),
    method: PaymentMethodSchema,
    receivedDate: z.date(),
    payerName: z.string().nullable(),
    notes: z.string().nullable(),
    createdAt: z.date(),
    payment: z.unknown(),
    serviceLine: z.unknown()
}).strict();

export type ServiceLineTransactionPureType = z.infer<typeof ServiceLineTransactionModelSchema>;
